<?php

add_action('woocommerce_init', 'ws_reward_upgrade_database', 1);

function ws_reward_upgrade_database() {

    $giftcard_version = WooZndUtil::GetOption('ws_reward_db', 99);
    //Add create Database here.
    WooZndUtil::UpdateOption('ws_reward_db', 99);
    if ($giftcard_version < 100) {

        // ws_reward_upgrade_database100();
    }
}

function ws_reward_upgrade_database100() {
    global $wpdb;
    $charset_collate = $wpdb->get_charset_collate();
    $sql = "CREATE TABLE {$wpdb->prefix}smartpack_rewards ("
            . "id bigint(20) UNSIGNED NOT NULL,"
            . "balance varchar(256) NOT NULL,"
            . "ledger varchar(256) NOT NULL,"
            . "lock tinyint(4) UNSIGNED NOT NULL,"
            . "PRIMARY KEY (id)"
            . ") $charset_collate;";

    WooZndUtil::CreateTable($sql);

    WooZndUtil::UpdateOption('ws_reward_db', 100);
}
