<table class="woo-wide-form">
    <tr>
        <td>
            <div class="input-box">
                <div class="label">
                    <span><?php echo __('Minimum spend', 'woocommerce-zc-giftcard'); ?></span>
                </div>
                <div class="input text-box">
                    <input name="minimum_amount" type="number" min="0" step="0.05" placeholder="<?php echo __('No Minimum', 'woocommerce-zc-giftcard') ?>">
                </div>
            </div>
            <div class="input-box">
                <div class="label">
                    <span><?php echo __('Maximum spend', 'woocommerce-zc-giftcard'); ?></span>
                </div>
                <div class="input text-box">
                    <input name="maximum_amount" type="number" min="0" step="0.05" placeholder="<?php echo __('No Maximum', 'woocommerce-zc-giftcard') ?>">
                </div>
            </div>
            
            <div class="input-box last">
                <div class="label">
                    <span>Exclude sale items</span>
                </div>
                <div class="input check-box">
                    <input id="exclude_sale_items" name="exclude_sale_items" type="checkbox" />
                    <label for="exclude_sale_items">Check this box if gift cards should not apply to items on sale. Per-item gift card will only work if the item is not on sale. Per-cart gift cards will only work if there are no sale items in the cart.</label>
                </div>
            </div>
        </td>
        <td class="wide-second">
            <div class="input-box">
                <div class="label">
                    <span>Individual use only</span>
                </div>
                <div class="input check-box">
                    <input id="individual_use" name="individual_use" type="checkbox" />
                    <label for="individual_use">Check this box if a gift card cannot be used in conjunction with other gift cards or coupons.</label>
                </div>
            </div>
            <div class="input-box">
                <div class="label">
                    <span><?php echo __('Usage limit per user', 'woocommerce-zc-giftcard'); ?></span>
                </div>
                <div class="input text-box">
                    <input name="usage_limit_per_user" type="number" min="0" step="1" placeholder="<?php echo __('Unlimited Usage', 'woocommerce-zc-giftcard') ?>">
                </div>
            </div>

            <div class="input-box last">
                <div class="label">
                    <span><?php echo __('Usage limit per gift card', 'woocommerce-zc-giftcard'); ?></span>
                </div>
                <div class="input text-box">
                    <input name="usage_limit" type="number" min="0" step="1" placeholder="<?php echo __('Unlimited Usage', 'woocommerce-zc-giftcard') ?>">
                </div>
            </div>
        </td>
    </tr>
</table>
