<form action="" method="post">
    <?php wp_nonce_field($nonce_action, 'wznd_wallet_nonce'); ?>
    <input type="hidden" name="action_name" value="debit" />
    <input type="hidden" name="user_id" value="<?php echo esc_attr($row['id']); ?>">
    <table class="woo-wide-form">
        <tr>
            <td>
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Account Number', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input disabled="disabled" type="text" value="<?php echo esc_attr($row['account_number']); ?>">
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Full Name', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input disabled="disabled" type="text" value="<?php echo esc_attr($row['first_name'] . ' ' . $row['last_name']); ?>">
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Amount', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input name="amount" type="number" min="0" step="0.05" placeholder="0.00">
                    </div>
                </div>

                <div class="input-box last">
                    <div class="label">
                        <span><?php echo __('Status', 'smartpack'); ?></span>
                    </div>
                    <div class="input select-box">
                        <select name="status">
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_STATUS_PENDING; ?>"><?php echo __('Pending', 'smartpack'); ?></option>
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_STATUS_ONHOLD; ?>"><?php echo __('On Hold', 'smartpack'); ?></option>
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_STATUS_PROCESSING; ?>"><?php echo __('Processing', 'smartpack'); ?></option>
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_STATUS_COMPLETED; ?>"><?php echo __('Completed', 'smartpack'); ?></option>
                        </select>
                    </div>
                </div>
            </td>
            <td class="wide-second">
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Type', 'smartpack'); ?></span>
                    </div>
                    <div class="input select-box">
                        <select name="transtype">
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_DEBIT; ?>"><?php echo __('Debit', 'smartpack'); ?></option>                
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_WITHDRAWAL; ?>"><?php echo __('Withdrawal', 'smartpack'); ?></option>
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_PAYMENT; ?>"><?php echo __('Payment', 'smartpack'); ?></option>
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_BILL; ?>"><?php echo __('Bill', 'smartpack'); ?></option>                
                            <option value="<?php echo ZND_WALLET_TRANSANCTION_TRANSFER; ?>"><?php echo __('Transfer', 'smartpack'); ?></option>                
                        </select>
                    </div>
                </div>

                <div class="input-box last">
                    <div class="label" style="vertical-align: top">
                        <span><?php echo __('Remark', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-area">
                        <textarea name="remark" placeholder="<?php echo __('Remark', 'smartpack'); ?>" style="height:200px;"></textarea>
                    </div>
                </div>

            </td>
        </tr>
    </table>


    <div class="actions-box woo-wide-form">
        <input class="button button-primary" value="<?php echo __('Add Funds', 'smartpack'); ?>" type="submit">
        <input class="button button-secondary popup-btn-close" value="<?php echo __('Cancel', 'smartpack'); ?>" type="button">
    </div>

</form>
