<form action="" method="post">
    <?php wp_nonce_field($nonce_action, 'wznd_wallet_nonce'); ?>
    <input type="hidden" name="action_name" value="addnew">  
    <div class="text-block">
        <p><b><?php echo __('Note:', 'smartpack'); ?></b> <?php echo __('You can create wallet for registered users only.', 'smartpack'); ?></p>
    </div>
    <table class="woo-wide-form">
        <tr>
            <td>
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('User ID', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input name="username" type="text" placeholder="<?php echo __('User name or email address', 'smartpack'); ?>">
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Account Number', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input type="text" disabled="disabled" value="<?php echo __('Auto generate', 'smartpack'); ?>">
                    </div>
                </div>
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Ledger Balance', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input name="ledger_balance" type="number" min="0" step="0.05" placeholder="0.00">
                    </div>
                </div>

                <div class="input-box last">
                    <div class="label">
                        <span><?php echo __('Current Balance', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input name="current_balance" type="number" min="0" step="0.05" placeholder="0.00">
                    </div>
                </div>

            </td>
            <td class="wide-second">
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Total Spent', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input name="total_spent" type="number" min="0" step="0.05" placeholder="0.00">
                    </div>
                </div>
                
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Locked/Unlocked', 'smartpack'); ?></span>
                    </div>
                    <div class="input select-box">
                        <select name="locked">                            
                            <option value="<?php echo ZND_WALLET_ACCOUNT_STATUS_UNLOCKED; ?>"><?php echo __('Unlocked', 'smartpack'); ?></option>
                            <option value="<?php echo ZND_WALLET_ACCOUNT_STATUS_LOCKED; ?>"><?php echo __('Locked', 'smartpack'); ?></option>
                        </select>
                    </div>
                </div>

                <div class="input-box last">
                    <div class="label" style="vertical-align: top">
                        <span><?php echo __('Remark', 'smartpack'); ?></span>
                    </div>
                    <div class="input text-area">
                        <textarea name="remark" placeholder="<?php echo __('Remark', 'smartpack'); ?>" style="height: 123px;"></textarea>
                    </div>
                </div>
            </td>
        </tr>
    </table>



    <div class="actions-box woo-wide-form">
        <input class="button button-primary" value="<?php echo __('Create Wallet', 'smartpack'); ?>" type="submit">
        <input class="button button-secondary popup-btn-close" value="<?php echo __('Cancel', 'smartpack'); ?>" type="button">
    </div>

</form>
